Bug 18073 - setup defaultroute fails when 2 ISP's have the same ip on ISP's end of ppp
setup defaultroute fails when 2 ISP's have the same ip on ISP's end of ppp
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: isdn-config (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-02 07:18 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-11 09:35:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-02 07:18:52 EDT
I configured two ISP's. But both have the same ipnumber at the other end of
the ppp-connection. When dialing after boot, everything is ok, e.g. ippp0.
But when I dial the other ISP (ippp1), the script set the defaultroute to
the right number (193.172.249.22), but not to the right device, it takes
the last dialed device (ippp0 instead of ippp1).

route -n after 1st dial to ippp0:

Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use
Iface
192.168.100.50  0.0.0.0         255.255.255.255 UH    0      0        0
eth0
192.168.100.0   0.0.0.0         255.255.255.0   U     0      0        0
eth0
193.172.249.0   0.0.0.0         255.255.255.0   U     0      0        0
ippp1
193.172.249.0   0.0.0.0         255.255.255.0   U     0      0        0
ippp0
127.0.0.0       0.0.0.0         255.0.0.0       U     0      0        0 lo
0.0.0.0         193.172.249.22  0.0.0.0         UG    0      0        0
ippp0


route -n after dialling ippp1:

Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use
Iface
192.168.100.50  0.0.0.0         255.255.255.255 UH    0      0        0
eth0
192.168.100.0   0.0.0.0         255.255.255.0   U     0      0        0
eth0
193.172.249.0   0.0.0.0         255.255.255.0   U     0      0        0
ippp1
193.172.249.0   0.0.0.0         255.255.255.0   U     0      0        0
ippp0
127.0.0.0       0.0.0.0         255.0.0.0       U     0      0        0 lo
0.0.0.0         193.172.249.22  0.0.0.0         UG    0      0        0
ippp0

The ippp0 should be ippp1. Altering the route table manually makes it work
again.


route -n after hangup:

root@server-1/etc/ppp>route -n
Kernel IP routing table
Destination     Gateway         Genmask         Flags Metric Ref    Use
Iface
192.168.100.50  0.0.0.0         255.255.255.255 UH    0      0        0
eth0
192.168.100.0   0.0.0.0         255.255.255.0   U     0      0        0
eth0
193.172.249.0   0.0.0.0         255.255.255.0   U     0      0        0
ippp1
193.172.249.0   0.0.0.0         255.255.255.0   U     0      0        0
ippp0
127.0.0.0       0.0.0.0         255.0.0.0       U     0      0        0 lo
Comment 1 Ngo Than 2001-01-04 08:37:35 EST
please try the new isdn-config-isdn-0.18-9.i386.rpm from rawhide. It should fix
this problem.

Note You need to log in before you can comment on or make changes to this bug.